Показать статистику
0 голосов
от (2.3тыс. баллов)

Я выполнил следующую команду для установки GNOME Vanilla на Ubuntu 21.10:

sudo apt install vanilla-gnome-desktop

Это сработало успешно, и я смог войти в GNOME 40.4. Но я получил случайную ошибку dpkg, а именно:

Setting up vanilla-gnome-default-settings (20.04.1) ...
update-alternatives: error: no alternatives for gdm3-theme.gresource
dpkg: error processing package vanilla-gnome-default-settings (--configure):
 installed vanilla-gnome-default-settings package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of vanilla-gnome-desktop:
 vanilla-gnome-desktop depends on vanilla-gnome-default-settings; however:
  Package vanilla-gnome-default-settings is not configured yet.

dpkg: error processing package vanilla-gnome-desktop (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 vanilla-gnome-default-settings
 vanilla-gnome-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)

Он сохранялся при использовании Ubuntu DE и Gnome DE. Сами настройки Gnome, кажется, работают. После этого теперь я получаю следующую ошибку после любой команды apt:

Setting up vanilla-gnome-default-settings (20.04.1) ...
update-alternatives: error: no alternatives for gdm3-theme.gresource
dpkg: error processing package vanilla-gnome-default-settings (--configure):
 installed vanilla-gnome-default-settings package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of vanilla-gnome-desktop:
 vanilla-gnome-desktop depends on vanilla-gnome-default-settings; however:
  Package vanilla-gnome-default-settings is not configured yet.

dpkg: error processing package vanilla-gnome-desktop (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 vanilla-gnome-default-settings
 vanilla-gnome-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)

Я пытался выполнить, sudo dpkg --configure -a но это произошло:

$ sudo dpkg --configure -a
Setting up vanilla-gnome-default-settings (20.04.1) ...
update-alternatives: error: no alternatives for gdm3-theme.gresource
dpkg: error processing package vanilla-gnome-default-settings (--configure):
 installed vanilla-gnome-default-settings package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of vanilla-gnome-desktop:
 vanilla-gnome-desktop depends on vanilla-gnome-default-settings; however:
  Package vanilla-gnome-default-settings is not configured yet.

dpkg: error processing package vanilla-gnome-desktop (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 vanilla-gnome-default-settings
 vanilla-gnome-desktop

Я запускаю все это на установке Ubuntu 21.10 в Gnome Boxes (загружается с использованием встроенной опции загрузки ОС)

262 просмотров 1 ответов

1 Ответ

0 голосов
от (17.4тыс. баллов)

Ошибки связаны с установкой пакета vanilla-gnome-default-settings и его зависимостей. Для решения этой проблемы можно попробовать выполнить следующие действия:

  1. Очистить кеш apt:

sudo apt clean

  1. Обновить список пакетов и установить обновления:

sudo apt update sudo apt upgrade

  1. Попробовать переустановить пакет vanilla-gnome-default-settings:

sudo apt remove vanilla-gnome-default-settings sudo apt install vanilla-gnome-default-settings

  1. Если проблема не решена, попробуйте установить отсутствующий пакет gdm3:

sudo apt install gdm3

  1. Если все еще есть проблемы, то попробуйте удалить и переустановить пакет vanilla-gnome-desktop:

sudo apt remove vanilla-gnome-desktop sudo apt install vanilla-gnome-desktop

  1. Перезагрузите компьютер и проверьте, работает ли GNOME 40.4 корректно.

Если ни один из этих шагов не помог, попробуйте поискать другие решения в Интернете или в сообществе Ubuntu.


...